githubEdit

eth_sendTransaction - Polygon

Example code for the eth_sendTransaction json-rpc method. Сomplete guide on how to use eth_sendTransaction json-rpc in GetBlock.io Web3 documentation.

The eth_sendTransaction method creates a new transaction or contract if the data field contains code. Note that this method requires the node to have access to the sender's private key, which is not available on shared infrastructure.

Parameters

Parameter
Type
Required
Description

transactionObject

object

Yes

Transaction object with from, to, gas, gasPrice, value, data

Request examples

cURL
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_sendTransaction",
    "params": [{"from": "0x...", "to": "0x...", "value": "0x9184e72a"}],
    "id": "getblock.io"
}'
circle-exclamation

Response

response.json
{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "error": {
        "code": -32000,
        "message": "unknown account"
    }
}

Response Parameters

Field
Type
Description

jsonrpc

string

JSON-RPC version (2.0)

id

string

Request identifier

result

varies

Transaction hash on success, or error on shared nodes

Use Case

The eth_sendTransaction method is useful for:

  • Local node usage

  • Development testing

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid ACCESS-TOKEN

-32600

Invalid Request

Malformed request body

-32602

Invalid params

Invalid method parameters

Web3 Integration

Last updated

Was this helpful?